set path weblogic;

create table CC_MASTER (
 CC_NUM                                  	    NUMERIC(16),
 MAX_AMOUNT                                         DECIMAL(10,2),
 AVLBL_AMOUNT                                       DECIMAL(10,2),
 CONSTRAINT PK_CC_MASTER PRIMARY KEY(CC_NUM)
);

create table CC_TRKG (
 CC_NUM                                  	    NUMERIC(16),
 MERCHANT_ID                                        NUMERIC(10),
 AMOUNT                                             VARCHAR(10),
 AUTH_CODE                                          VARCHAR(4),
 REF_ID                                             VARCHAR(16),
 TXN_DATE					    DATE,
 CONSTRAINT PK_CC_TRKG PRIMARY KEY(CC_NUM, MERCHANT_ID, REF_ID)
);

insert into CC_MASTER values(1212121212121212, 10000.00, 10000.00);
insert into CC_MASTER values(1312121212121212, 10000.00, 10000.00);
insert into CC_MASTER values(1412121212121212, 10000.00, 10000.00);
insert into CC_MASTER values(1512121212121212, 10000.00, 10000.00);
commit;
